Bug 68706 - network-functions:expand_config() barfs if IPADDR=""
network-functions:expand_config() barfs if IPADDR=""
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-12 13:41 EDT by Frank Sweetser
Modified: 2014-03-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-16 08:59:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Sweetser 2002-07-12 13:41:11 EDT
The expand_config function in network-functions does not check if $IPADDR != ""
before passing it off directly to ipcalc.
Comment 1 Florian La Roche 2002-07-16 08:59:51 EDT
Looking at the current version, seems the call to expand_config in the
"ifdown" script could be deleted.

Florian La Roche
Comment 2 Bill Nottingham 2002-08-13 21:58:09 EDT
Yeah, done in 6.89-1.

Note You need to log in before you can comment on or make changes to this bug.